"""empty message

Revision ID: 3ce137d5b84a
Revises: f65b6e8b709e
Create Date: 2021-09-13 17:43:29.408552

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "3ce137d5b84a"
down_revision = "f65b6e8b709e"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(
        "fit_parameters_project_fkey", "fit_parameters", type_="foreignkey"
    )
    op.create_foreign_key(
        None,
        "fit_parameters",
        "project",
        ["project"],
        ["id"],
        ondelete="CASCADE",
    )
    op.drop_constraint(
        "fit_procedures_project_fkey", "fit_procedures", type_="foreignkey"
    )
    op.create_foreign_key(
        None,
        "fit_procedures",
        "project",
        ["project"],
        ["id"],
        ondelete="CASCADE",
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, "fit_procedures", type_="foreignkey")
    op.create_foreign_key(
        "fit_procedures_project_fkey",
        "fit_procedures",
        "project",
        ["project"],
        ["id"],
    )
    op.drop_constraint(None, "fit_parameters", type_="foreignkey")
    op.create_foreign_key(
        "fit_parameters_project_fkey",
        "fit_parameters",
        "project",
        ["project"],
        ["id"],
    )
    # ### end Alembic commands ###
